List
curl --request GET \
--url https://{defaultHost}/v1/upsells \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/upsells"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/upsells', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/upsells"
},
"data": [
{
"id": "b3ae9023-af7e-472a-beaa-2608687d6ecc",
"object": "upsell",
"amount_off": 500,
"duplicate_purchase_behavior": "allow",
"fee_description": "Upsell Offer",
"metadata": {},
"percent_off": null,
"replacement_behavior": "none",
"step": "initial",
"price": "783b11f0-f21a-475a-98d6-1ec5e7bf997e",
"upsell_funnel": "d139e5d0-aeb2-4a35-9ae5-c5faadca3fb3",
"discarded_at": null,
"created_at": 1782485916,
"updated_at": 1782485916
}
]
}Upsells
List
Returns a list of your upsells.
GET
/
v1
/
upsells
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
The page of items you want returned.
Only return objects that belong to the given products.
Only return objects that belong to the given upsell funnels.
Was this page helpful?
⌘I